<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script type="text/javascript">
var i = 0;
window.onload = () => {
	/* 3초마다 실행됨 */
	/* var auto = window.setInterval("console.log(i++)", 3000); */
	
	var pNode = document.getElementById("cnt");
	var auto = window.setInterval(() => {
		cnt.innerText = ++i;
	}, 3000);
	
	var stopBtn = document.getElementById("stop");
	stopBtn.onclick = () => {
		/* 반복 종료 */
		window.clearInterval(auto);
	};
}
</script>
</head>
<body>
	<p id="cnt">&nbsp;</p>
	<button id="stop">정지버튼</button>
</body>
</html>